### Method

# Fwupd Client get_details_bytes_async

#### Declaration [src]

    void
    fwupd_client_get_details_bytes_async (
      FwupdClient* self,
      GBytes* bytes,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Gets details about a specific firmware file.

Available since: | 1.5.0

#### Parameters

`bytes` | `GBytes`
| Firmware archive.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The function to run on completion.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| The data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.